Project and Portfolio Management Practitioners Forum
cancel
Showing results for 
Search instead for 
Did you mean: 

Errors during upgrade to 8.0 version

Highlighted
Harika Appa
Super Collector

Errors during upgrade to 8.0 version

Hello,

Currently we are upgrading from 7.5 sp3 to 8.0 version.

But during the upgrade we recived below error:


[sqlscript] INSERT INTO KNTA_USER_SECURITY
[sqlscript] ( USER_SECURITY_ID
[sqlscript] , CREATION_DATE
[sqlscript] , CREATED_BY
[sqlscript] , LAST_UPDATE_DATE
[sqlscript] , LAST_UPDATED_BY
[sqlscript] , SECURITY_GROUP_ID
[sqlscript] , USER_ID
[sqlscript] , SOURCE_TYPE_CODE
[sqlscript] , SOURCE
[sqlscript] )
[sqlscript] VALUES
[sqlscript] ( 3
[sqlscript] , TO_DATE('1995-08-28 00:00:00', 'YYYY-MM-DD HH24:MI:SS')
[sqlscript] , 10
[sqlscript] , TO_DATE('1995-08-28 00:00:00', 'YYYY-MM-DD HH24:MI:SS')
[sqlscript] , 10
[sqlscript] , 3
[sqlscript] , 1
[sqlscript] , null
[sqlscript] , null
[sqlscript] )
[sqlscript]

java.sql.SQLIntegrityConstraintViolationException: ORA-00001: unique constraint (PPM.KNTA_USER_SECURITY_U3) violated
FAILED: Wed May 11 11:45:14 CEST 2011
Duration: 00h:01m:50s

BUILD FAILED
/opt/mercury/ppm/upgrade_800/xml/upgrade-75-to-80.xml:54: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: unique constraint (PPM.KNTA_USER_SECURITY_U3) violated


Total time: 8 minutes 20 seconds
java.sql.SQLIntegrityConstraintViolationException: ORA-00001: unique constraint (PPM.KNTA_USER_SECURITY_U3) violated



Could any one please suggest how to resolve this error.

Best Regards,
Harika.
9 REPLIES
Andrea Loi
Member

Re: Errors during upgrade to 8.0 version

This table stores information about which security groups are linked with which users.
The unique constraint is on SECURITY_GROUP_ID and USER_ID.

You could try to remove the link whith SECURITY_GROUP_ID=3 and USER_ID=1.

This could resolve the issue if it's only a matter of this link. Or could help you in going deep in this problem.

Have a good day
Andrea





Harika Appa
Super Collector

Re: Errors during upgrade to 8.0 version

Hello Andrea,

Thanks for the reply.

I have checked with the query 'select * from KNTA_USER_SECURITY where SECURITY_GROUP_ID=3 and USER_ID=1'.

So now should I delete this row from the table and then proceed with upgrade ?

Will there be any problems if I delete this line?

Best Regards,
Harika.
Harika Appa
Super Collector

Re: Errors during upgrade to 8.0 version

Hello Andrea,

It solved that error.

But again upgrade got failed with the below message:

The upgrade to the HP Project and Portfolio Management Center Version 8.0.0 has
failed.
Failed action(s):
Upgrade75to80
Updating version independent product data

I have attached the log file.

Please advice me.

Best Regards,
Harika.
Andrea Loi
Member

Re: Errors during upgrade to 8.0 version

I can just suggest you to check the trigger PPM.KNTA_VALIDATIONS_NLS_RC_UPD (you should find it on your DB that you are upgrading) and investigate why an invalid number could be used at line 15 ("ORA-01722: invalid number").

It seems that one Validation contains something strange and that this prevents that table from updates.

By the way do you have any custom triggers?
If yes it's better to disable or to check them.

Best regards
Andrea

Harika Appa
Super Collector

Re: Errors during upgrade to 8.0 version

Hello Andreo,

I have resolved the issue and was able to successfully apply upgrade.

But after upgrade if I try to start server then it is showing errors as in attached file.

Do you have any idea how to resolve them.

Thanks In Advance.


Best Regards,
Harika.
sirib9
Regular Collector

Re: Errors during upgrade to 8.0 version

Hi Harika,

Make sure there are no java process running. If there are any java process running, kill the process and try to start the jvm again.

Thanks
Harika Appa
Super Collector

Re: Errors during upgrade to 8.0 version

Hello,

Now am able to start server and it is showing status as running.

But am not able to access instance through internet explorer.

I have pinged ip address from cmd and it got reply but if I try to access it is showing network error.

Could any one advice.

Best Regards,
Harika.
Harika Appa
Super Collector

Re: Errors during upgrade to 8.0 version

Hi all,

Now am able to log in to PPM successfully.

I have changed port numbers and tried, it worked.

Thank you all for your suggestions.

Best Regards,
Harika.
Harika Appa
Super Collector

Re: Errors during upgrade to 8.0 version

I have killed all the java process running.

Then I have recompiled and changed Port numbers in Server.conf file.


Best Regards,
Harika.
//Add this to "OnDomLoad" event